## tanglet 1.6.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# Configure project
project(tanglet VERSION 1.6.1.1 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
find_package(ZLIB REQUIRED)
if(UNIX AND NOT APPLE)
	include(GNUInstallDirs)
endif()

add_compile_definitions(
	QT_STRICT_ITERATORS
	QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
	QT_DISABLE_DEPRECATED_BEFORE=0x060000
)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(tanglet
	src/beveled_rect.cpp
	src/board.cpp
	src/clock.cpp
	src/generator.cpp
	src/gzip.cpp
	src/language_dialog.cpp
	src/language_settings.cpp
	src/locale_dialog.cpp
	src/letter.cpp
	src/new_game_dialog.cpp
	src/main.cpp
	src/scores_dialog.cpp
	src/solver.cpp
	src/trie.cpp
	src/view.cpp
	src/window.cpp
	src/word_counts.cpp
	src/word_tree.cpp
	icons/icons.qrc
	${translations_QM}
)

target_link_libraries(tanglet PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Widgets
	ZLIB::ZLIB
)

target_compile_definitions(tanglet PRIVATE VERSIONSTR="${PROJECT_VERSION}")

# Create word lists
add_subdirectory(wordlists)

# Install
if(UNIX AND NOT APPLE)
	target_sources(tanglet PRIVATE icons/icon.qrc)

	install(TARGETS tanglet RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/tanglet/translations)
	install(FILES doc/tanglet.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES icons/tanglet.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
	install(FILES icons/tanglet.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/tanglet.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
	install(FILES icons/tanglet.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
elseif(WIN32)
	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(tanglet PROPERTIES
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Word finding game"
		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
		QT_TARGET_PRODUCT_NAME "Tanglet"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/tanglet.ico
	)
	_qt_internal_generate_win32_rc_file(tanglet)
endif()

=== wordlists/CMakeLists.txt ===
# Program to generate wordlist
set(wordlist_SRCS ../tools/wordlist/main.cpp)
qt6_add_executable(wordlist ${wordlist_SRCS})
target_link_libraries(wordlist PRIVATE Qt6::Core ZLIB::ZLIB)

# Program to generate dice
set(dice_SRCS ../tools/dice/main.cpp)
qt6_add_executable(dice ${dice_SRCS})
target_link_libraries(dice PRIVATE Qt6::Core ZLIB::ZLIB)

# Create wordlists and dice
foreach(lang ca cs de el es en fr he hu nl pl pt pt_BR ru)
	set(lang_file ${CMAKE_CURRENT_SOURCE_DIR}/${lang})
	set(lang_source ${CMAKE_SOURCE_DIR}/data/${lang})
	set(lang_dest ${CMAKE_INSTALL_DATADIR}/tanglet/data/${lang}/)

	# Create wordlist for ${lang}
	set(wordlist_file ${lang_source}/words)
	list(APPEND wordlist_files ${wordlist_file})
	add_custom_command(
		OUTPUT ${wordlist_file}
		COMMAND wordlist -l ${lang} -o "$<SHELL_PATH:${wordlist_file}>" "$<SHELL_PATH:${lang_file}>"
		DEPENDS ${lang_file} ${wordlist_SRCS}
		WORKING_DIRECTORY ${CMAKE_PREFIX_PATH}/bin # needed for Windows to find Qt
		VERBATIM
	)

	# Create dice for ${lang}
	set(dice_file ${lang_source}/dice)
	list(APPEND dice_files ${dice_file})
	add_custom_command(
		OUTPUT ${dice_file}
		COMMAND dice -b -d -o "$<SHELL_PATH:${dice_file}>" "$<SHELL_PATH:${wordlist_file}>"
		DEPENDS ${wordlist_file} ${dice_SRCS}
		WORKING_DIRECTORY ${CMAKE_PREFIX_PATH}/bin # needed for Windows to find Qt
		VERBATIM
	)

	# Install data for ${lang}
	if(UNIX AND NOT APPLE)
		install(FILES ${wordlist_file} ${dice_file} ${lang_source}/language.ini DESTINATION ${lang_dest})
		if(EXISTS ${lang_source}/README)
			install(FILES ${lang_source}/README DESTINATION ${lang_dest})
		endif()
	endif()
endforeach()

add_custom_target(data DEPENDS ${wordlist_files} ${dice_files})
add_dependencies(tanglet data)

## tanglet 1.1.1

=== debian/changelog ===
tanglet (1.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/undefined_reference.diff: Fixed FTBFS.  Closes: #615784.
  * debian/clean: Added.

 -- Bart Martens <bartm@debian.org>  Sun, 09 Oct 2011 08:17:07 +0200

tanglet (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- tang ke <tangk@lemote.com>  Mon, 24 May 2010 08:56:35 +0800

tanglet (1.1.0-2) unstable; urgency=low

  * fixed the settings. (Closes: #579710)

 -- tang ke <tangk@lemote.com>  Fri, 30 Apr 2010 12:39:51 +0800

tanglet (1.1.0-1) unstable; urgency=low

  * New upstream release
  * add the resource files. (Closes: #571691)

 -- tang ke <tangk@lemote.com>  Wed, 14 Apr 2010 13:16:51 +0800

tanglet (1.0.1.1-1) unstable; urgency=low

  * upstream version update

 -- tang ke <tangk@lemote.com>  Mon, 25 Jan 2010 08:40:04 +0800

tanglet (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #561794)  
  * Switch to dpkg-source 3.0 (quilt) format

 -- tang ke <tangk@lemote.com>  Fri, 22 Jan 2010 10:04:53 +0800

=== debian/control ===
Source: tanglet
Section: games
Priority: optional
Maintainer: tang ke <tangk@lemote.com>
Build-Depends: debhelper (>= 7), libqt4-dev (>= 4.4.0), zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://gottcode.org/tanglet/

Package: tanglet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: single player word finding game based on Boggle
 The Object of the game is to list as many words as you can before
 the time runs out. Every time you find a new word, you are given
 more time. Each word must be at least three letters long.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#include /usr/share/quilt/quilt.make
#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp   
	dh_testdir

	# Add here commands to compile the package.
	test -f $(CURDIR)/Makefile || qmake-qt4
	$(MAKE)
	rm $(CURDIR)/Makefile -rf
#	test -f $(CURDIR)/Makefile && rm $(CURDIR)/Makefile -rf
	#docbook-to-man debian/tanglet.sgml > tanglet.1

	touch $@

clean: clean-stamp 
clean-stamp:	
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	test -f $(CURDIR)/Makefile || qmake-qt4
	$(MAKE) clean
	rm $(CURDIR)/Makefile -rf
	rm $(CURDIR)/tanglet -rf
	rm $(CURDIR)/build -rf

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	# Add here commands to install the package into debian/tanglet.
	test -f $(CURDIR)/Makefile || qmake-qt4
	$(MAKE) DESTDIR=$(CURDIR)/debian/tanglet install
	rm $(CURDIR)/Makefile -rf
	install -s $(CURDIR)/tanglet $(CURDIR)/debian/tanglet/usr/games/
	cp $(CURDIR)/icons/tanglet.png $(CURDIR)/debian/tanglet/usr/share/icons/hicolor/48x48/
	cp $(CURDIR)/icons/tanglet.desktop $(CURDIR)/debian/tanglet/usr/share/applications/
	cp $(CURDIR)/data $(CURDIR)/debian/tanglet/usr/share/tanglet/ -a

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://gottcode.org/tanglet/tanglet-(.*)-src\.tar\.bz2
# 
# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html tanglet-(.*)\.tar\.gz

## tanglet 1.2.2

=== debian/changelog ===
tanglet (1.2.2-2) unstable; urgency=medium

  * GPL-3+ in copyright (Closes: #747864)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 13 May 2014 09:25:37 +0200

tanglet (1.2.2-1) unstable; urgency=medium

  * Imported Upstream version 1.2.2 
  * Added keywords to desktop file and menu entry (Closes: #738038)
  * Updated copyright to DEP-5
  * Added VCS fields to d/control
  * Watch file fixed
  * Migrated to dh
  * Compat changed to 9, bump standards to 3.9.5
  * Updated manpage (Closes: #617539)
  * New maintainer (Closes: #746458)
  * Split packages to tanglet-data and tanglet

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 04 May 2014 12:10:14 +0200

=== debian/control ===
Source: tanglet
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends:
 debhelper (>= 9),
 libqt4-dev (>= 4.4),
 pkg-config,
 zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://gottcode.org/tanglet/
Vcs-Git: git://anonscm.debian.org/pkg-games/tanglet.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/tanglet.git

Package: tanglet
Architecture: any
Depends:
 tanglet-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: single player word finding game based on Boggle
 The Object of the game is to list as many words as you can before
 the time runs out. Every time you find a new word, you are given
 more time. Each word must be at least three letters long.

Package: tanglet-data
Architecture: all
Replaces: tanglet (<< 1.2.2-1)
Breaks: tanglet (<< 1.2.2-1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: single player word finding game based on Boggle - data files
 The Object of the game is to list as many words as you can before
 the time runs out. Every time you find a new word, you are given
 more time. Each word must be at least three letters long.
 .
 This package provides data files required by tanglet.
 They include word lists and translations.

## tanglet 1.3.1

=== debian/changelog ===
tanglet (1.3.1-2) unstable; urgency=medium

  * QT_SELECT in d/rules added (Closes: #777611)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 13 Feb 2015 18:07:32 +0100

tanglet (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1
  * Removed libqt4-dev from Build-Deps (upstream switched to QT5)
  * Added qtbase5-dev to Build-Deps
  * Bump standards to 3.9.6
   - no changes needed

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 09 Feb 2015 19:18:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
 Build-Depends:
  debhelper (>= 9),
- libqt4-dev (>= 4.4),
+ qtbase5-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://gottcode.org/tanglet/
 Vcs-Git: git://anonscm.debian.org/pkg-games/tanglet.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/tanglet.git

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- PREFIX=/usr BINDIR=games

## tanglet 1.5.1

=== debian/changelog ===
tanglet (1.5.1-1) unstable; urgency=medium

  [ Innocent De Marchi ]
  * New upstream version.
  * Added qttools5-dev-tools build-dependency on debian/control.
  * Bump to debhelper and compat level 11.
  * Bump standards to 4.1.4.
  * Removed unnecessary dh argument --parallel.
  * Added hardening flags on debian/rules.
  * Updated add-keywords-entry patch.
  * Migrated to salsa repository.
  * Updated homepage and copyright format to secure URI.
  * Updated years in debian/copyright.
  * Added Multi-Arch field on debian/control.
  * Added debian/upstream/metadata file.

  [ Markus Koschany ]
  * Drop deprecated menu file.
  * Install the upstream man page.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 14 Apr 2018 18:07:32 +0100

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   ?= $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS  ?= $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
CFLAGS += -Wall -g

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- PREFIX=/usr BINDIR=games \
	    CPPFLAGS="$(CPPFLAGS)" \
	    CFLAGS="$(CFLAGS)" \
	    LDFLAGS="$(LDFLAGS)"

## tanglet 1.5.2

=== debian/changelog ===
tanglet (1.5.2-1) unstable; urgency=medium

  * New upstream version.
  * Removed add-desktop-keyword.patch (has been added by the
    author in the sources).
  * Updated years on d/copyright.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 10 Jun 2018 18:34:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
+Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  qtbase5-dev,
+ qttools5-dev-tools (>=5.2),
  pkg-config,
  zlib1g-dev
-Standards-Version: 3.9.6
-Homepage: http://gottcode.org/tanglet/
-Vcs-Git: git://anonscm.debian.org/pkg-games/tanglet.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/tanglet.git
+Standards-Version: 4.1.4
+Homepage: https://gottcode.org/tanglet/
+Vcs-Git: https://salsa.debian.org/games-team/tanglet.git
+Vcs-Browser: https://salsa.debian.org/games-team/tanglet
 
 Package: tanglet
 Architecture: any
@@ -26,6 +27,7 @@
 
 Package: tanglet-data
 Architecture: all
+Multi-Arch: foreign
 Replaces: tanglet (<< 1.2.2-1)
 Breaks: tanglet (<< 1.2.2-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}

## tanglet 1.5.3

=== debian/changelog ===
tanglet (1.5.3-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.1.5.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Tue, 24 Jul 2018 11:16:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  qttools5-dev-tools (>=5.2),
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://gottcode.org/tanglet/
 Vcs-Git: https://salsa.debian.org/games-team/tanglet.git
 Vcs-Browser: https://salsa.debian.org/games-team/tanglet

## tanglet 1.5.3.1+rb2

=== debian/changelog ===
tanglet (1.5.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Games Team <pkg-games-devel@alioth-lists.debian.net>  Mon, 01 Feb 2021 16:25:27 +0800

tanglet (1.5.3-2) unstable; urgency=medium

  * Adopt package maintenance (Closes: #922909)
  * Upgrade to debian-compat (= 12)
    - Remove file that's no longer needed: debian/compat
    - Remove file that's no longer needed: debian/dirs
  * Update standards version to 4.3.0
  * Update games team e-mail address

 -- Jonathan Carter <jcc@debian.org>  Mon, 25 Feb 2019 07:42:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: tanglet
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
+Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>  
+Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  qtbase5-dev,
  qttools5-dev-tools (>=5.2),
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://gottcode.org/tanglet/
 Vcs-Git: https://salsa.debian.org/games-team/tanglet.git
 Vcs-Browser: https://salsa.debian.org/games-team/tanglet

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,3 @@
 	    CPPFLAGS="$(CPPFLAGS)" \
 	    CFLAGS="$(CFLAGS)" \
 	    LDFLAGS="$(LDFLAGS)"
-

## tanglet 1.5.4

=== debian/changelog ===
tanglet (1.5.4-2) unstable; urgency=medium

  * Fix copyright field

 -- Jonathan Carter <jcc@debian.org>  Mon, 16 Sep 2019 09:06:41 +0000

tanglet (1.5.4-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.4.0
  * Update copyright years
  * Update copyright file to reflect appstream data license
  * Add lintian-overrides for tanglet-data for harmless README files
    that wouldn't otherwise be useful in docs

 -- Jonathan Carter <jcc@debian.org>  Thu, 08 Aug 2019 11:07:12 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  qttools5-dev-tools (>=5.2),
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://gottcode.org/tanglet/
 Vcs-Git: https://salsa.debian.org/games-team/tanglet.git
 Vcs-Browser: https://salsa.debian.org/games-team/tanglet

## tanglet 1.5.5

=== debian/changelog ===
tanglet (1.5.5-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Remove ancient versioned dependency on qttools5-dev-tools

 -- Jonathan Carter <jcc@debian.org>  Sun, 23 Feb 2020 10:25:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: tanglet
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>  
+Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  qtbase5-dev,
- qttools5-dev-tools (>=5.2),
+ qttools5-dev-tools,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://gottcode.org/tanglet/
 Vcs-Git: https://salsa.debian.org/games-team/tanglet.git
 Vcs-Browser: https://salsa.debian.org/games-team/tanglet

## tanglet 1.5.6

=== debian/changelog ===
tanglet (1.5.6-1) unstable; urgency=medium

  * New upstream release
  * Upgrade to debhelper-compat 13
  * Declare Rules-Requires-Root: no
  * Update install file to add metadata

 -- Jonathan Carter <jcc@debian.org>  Thu, 07 May 2020 17:48:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qtbase5-dev,
  qttools5-dev-tools,
  pkg-config,
  zlib1g-dev
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://gottcode.org/tanglet/
 Vcs-Git: https://salsa.debian.org/games-team/tanglet.git
 Vcs-Browser: https://salsa.debian.org/games-team/tanglet

## tanglet 1.6.1.1

=== debian/changelog ===
tanglet (1.6.1.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the manpages file, as the upstream build system already installs the
    man page.
  * Copy the upstream man page using tanglet.install rather than
    tanglet.manpages, as it is already installed in the proper location.
  * Move tanglet.appdata.xml from tanglet-data to tanglet, as it must be in the
    package where its executable, and desktop file as shipped
    - add proper breaks/replaces

  [ Jonathan Carter ]
  * New upstream release
  * Update watch file to move to GitHub tags instead of releases
  * Update standards version to 4.6.0
  * Update build-dependencies for qt6
  * Update debian/install to keep installing in usr/games

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Dec 2021 12:21:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,18 @@
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- qtbase5-dev,
- qttools5-dev-tools,
+ cmake,
+ qt6-tools-dev,
+ qt6-l10n-tools,
+ qt6-tools-dev-tools,
+ qt6-base-dev-tools,
+ libqt6widgets6,
+ libqt6gui6,
+ libqt6core6,
+ mesa-common-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/tanglet/
 Vcs-Git: https://salsa.debian.org/games-team/tanglet.git
@@ -21,6 +28,8 @@
  tanglet-data (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
+Breaks: tanglet-data (<< 1.5.6-2~)
+Replaces: tanglet-data (<< 1.5.6-2~)
 Description: single player word finding game based on Boggle
  The Object of the game is to list as many words as you can before
  the time runs out. Every time you find a new word, you are given

## tanglet 1.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # Configure project
-project(tanglet VERSION 1.6.1.1 LANGUAGES CXX)
+project(tanglet VERSION 1.6.2 LANGUAGES CXX)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -15,11 +15,13 @@
 	include(GNUInstallDirs)
 endif()
 
-add_compile_definitions(
-	QT_STRICT_ITERATORS
-	QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-	QT_DISABLE_DEPRECATED_BEFORE=0x060000
-)
+if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+	add_compile_definitions(
+		QT_STRICT_ITERATORS
+		QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+		QT_DISABLE_DEPRECATED_BEFORE=0x060300
+	)
+endif()
 
 # Create translations
 file(GLOB translations_SRCS translations/*.ts)
@@ -75,7 +77,6 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/tanglet/translations)
 	install(FILES doc/tanglet.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES icons/tanglet.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
 	install(FILES icons/tanglet.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 	install(FILES icons/tanglet.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 	install(FILES icons/tanglet.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
@@ -87,7 +88,7 @@
 		QT_TARGET_VERSION "${PROJECT_VERSION}"
 		QT_TARGET_COMPANY_NAME "Graeme Gott"
 		QT_TARGET_DESCRIPTION "Word finding game"
-		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
+		QT_TARGET_COPYRIGHT "Copyright (C) 2022 Graeme Gott"
 		QT_TARGET_PRODUCT_NAME "Tanglet"
 		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/tanglet.ico
 	)

=== debian/changelog ===
tanglet (1.6.2-1) unstable; urgency=medium

  * New upstream release
  * Don't install usr/share/pixmaps (no longer used)

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 May 2022 11:42:41 +0200

## tanglet 1.6.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# Configure project
project(tanglet VERSION 1.6.3 LANGUAGES CXX)

set(project_copyright "2009-2023 Graeme Gott")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
find_package(ZLIB REQUIRED)
include(GNUInstallDirs)

add_compile_definitions(
	QT_NO_KEYWORDS
	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
)

# Version number
include(cmake/AddVersionCompileDefinition.cmake)
add_version_compile_definition(src/main.cpp VERSIONSTR)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(tanglet
	src/beveled_rect.cpp
	src/board.cpp
	src/clock.cpp
	src/generator.cpp
	src/gzip.cpp
	src/language_dialog.cpp
	src/language_settings.cpp
	src/locale_dialog.cpp
	src/letter.cpp
	src/new_game_dialog.cpp
	src/main.cpp
	src/scores_dialog.cpp
	src/solver.cpp
	src/trie.cpp
	src/view.cpp
	src/window.cpp
	src/word_counts.cpp
	src/word_tree.cpp
	icons/icons.qrc
	${translations_QM}
)

target_link_libraries(tanglet PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Widgets
	ZLIB::ZLIB
)

# Create word lists
add_subdirectory(tools)

file(GLOB languages wordlists/*)
foreach(lang_file ${languages})
	get_filename_component(lang ${lang_file} NAME)
	set(lang_source ${CMAKE_SOURCE_DIR}/gamedata/${lang})

	# Create wordlist for ${lang}
	set(wordlist_file ${lang_source}/words)
	add_custom_command(
		OUTPUT ${wordlist_file}
		COMMAND "$<SHELL_PATH:$<TARGET_FILE:wordlist>>" -l ${lang} -o "$<SHELL_PATH:${wordlist_file}>" "$<SHELL_PATH:${lang_file}>"
		DEPENDS ${lang_file} ${CMAKE_SOURCE_DIR}/tools/wordlist.cpp
		WORKING_DIRECTORY ${CMAKE_PREFIX_PATH}/bin # needed for Windows to find Qt
		VERBATIM
	)

	# Create dice for ${lang}
	set(dice_file ${lang_source}/dice)
	add_custom_command(
		OUTPUT ${dice_file}
		COMMAND "$<SHELL_PATH:$<TARGET_FILE:dice>>" -b -d -o "$<SHELL_PATH:${dice_file}>" "$<SHELL_PATH:${wordlist_file}>"
		DEPENDS ${wordlist_file} ${CMAKE_SOURCE_DIR}/tools/dice.cpp
		WORKING_DIRECTORY ${CMAKE_PREFIX_PATH}/bin # needed for Windows to find Qt
		VERBATIM
	)

	# Add ${lang} as dependency of target
	set(data_files ${wordlist_file} ${dice_file} ${lang_source}/language.ini)
	if(EXISTS ${lang_source}/README)
		list(APPEND data_files ${lang_source}/README)
	endif()
	target_sources(tanglet PRIVATE ${data_files})

	# Install data for ${lang}
	if(APPLE)
		set_source_files_properties(
			${data_files}
			PROPERTIES
			MACOSX_PACKAGE_LOCATION Resources/gamedata/${lang}
		)
	elseif(NOT WIN32)
		install(FILES ${data_files} DESTINATION ${CMAKE_INSTALL_DATADIR}/tanglet/gamedata/${lang})
	endif()
endforeach()

# Optimize build
option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" OFF)
if(ENABLE_LINK_TIME_OPTIMIZATION)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT result)
	if(result)
		set_target_properties(tanglet PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
	endif()
endif()

option(ENABLE_STRIP "Enable automatic stripping of builds" OFF)
if(ENABLE_STRIP)
	add_custom_command(TARGET tanglet
		POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:tanglet>
	)
endif()

# Install
if(APPLE)
	set(datadir "../Resources")

	set_target_properties(tanglet PROPERTIES
		OUTPUT_NAME Tanglet
		MACOSX_BUNDLE TRUE
		MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/mac/Info.plist.in
	)

	include(cmake/BundleResources.cmake)
	bundle_data(tanglet ${CMAKE_SOURCE_DIR}/icons/tanglet.icns Resources)
	bundle_translations(tanglet "${translations_QM}")
elseif(WIN32)
	set(datadir ".")

	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(tanglet PROPERTIES
		OUTPUT_NAME Tanglet
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Word finding game"
		QT_TARGET_COPYRIGHT "\\xA9 ${project_copyright}"
		QT_TARGET_PRODUCT_NAME "Tanglet"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/tanglet.ico
	)
	_qt_internal_generate_win32_rc_file(tanglet)
else()
	file(RELATIVE_PATH datadir ${CMAKE_INSTALL_FULL_BINDIR} ${CMAKE_INSTALL_FULL_DATADIR}/tanglet)

	target_sources(tanglet PRIVATE icons/icon.qrc)

	install(TARGETS tanglet RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/tanglet/translations)
	install(FILES doc/tanglet.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES icons/tanglet.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/tanglet.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
	install(FILES icons/tanglet.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
endif()

set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS TANGLET_DATADIR="${datadir}")

=== tools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Program to generate wordlist
qt6_add_executable(wordlist wordlist.cpp)
target_link_libraries(wordlist PRIVATE Qt6::Core ZLIB::ZLIB)

# Program to generate dice
qt6_add_executable(dice dice.cpp)
target_link_libraries(dice PRIVATE Qt6::Core ZLIB::ZLIB)

=== debian/changelog ===
tanglet (1.6.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Jonathan Carter <jcc@debian.org>  Wed, 22 Feb 2023 14:42:06 +0200

tanglet (1.6.3-1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2
  * Remove unnecessary constraints from tanglet-data
    since buster (oldstable)

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Feb 2023 15:10:11 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  mesa-common-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/tanglet/
 Vcs-Git: https://salsa.debian.org/games-team/tanglet.git
@@ -38,8 +38,6 @@
 Package: tanglet-data
 Architecture: all
 Multi-Arch: foreign
-Replaces: tanglet (<< 1.2.2-1)
-Breaks: tanglet (<< 1.2.2-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: single player word finding game based on Boggle - data files
  The Object of the game is to list as many words as you can before

## tanglet 1.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tanglet VERSION 1.6.3 LANGUAGES CXX)
+project(tanglet VERSION 1.6.4 LANGUAGES CXX)
 
 set(project_copyright "2009-2023 Graeme Gott")
 
@@ -23,7 +23,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060500>
 )
 
 # Version number

=== debian/changelog ===
tanglet (1.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Jun 2023 16:51:41 +0200

## tanglet 1.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tanglet VERSION 1.6.4 LANGUAGES CXX)
+project(tanglet VERSION 1.6.5 LANGUAGES CXX)
 
-set(project_copyright "2009-2023 Graeme Gott")
+set(project_copyright "2009-2024 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -23,7 +23,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060500>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
 )
 
 # Version number

=== debian/changelog ===
tanglet (1.6.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:24:23 +1100

tanglet (1.6.5-1ubuntu2) noble; urgency=medium

  * Replace libqt6gui6 with libqt6gui6t64 in Build-Depends.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 25 Mar 2024 12:03:42 +0100

tanglet (1.6.5-1ubuntu1) noble; urgency=medium

  * Replace libqt6widgets6 with libqt6widgets6t64 in Build-Depends.
  * Replace libqt6core6 with libqt6core6t64 in Build-Depends.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 25 Mar 2024 14:43:35 +1300

tanglet (1.6.5-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:03:45 +0000

tanglet (1.6.5-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Sat, 20 Jan 2024 18:34:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tanglet
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,11 +11,11 @@
  qt6-l10n-tools,
  qt6-tools-dev-tools,
  qt6-base-dev-tools,
- libqt6widgets6,
- libqt6gui6,
- libqt6core6,
+ libqt6widgets6t64,
+ libqt6gui6t64,
+ libqt6core6t64,
  mesa-common-dev,
- pkg-config,
+ pkgconf,
  zlib1g-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-export QT_SELECT=5
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS   ?= $(shell dpkg-buildflags --get CFLAGS)

## tanglet 1.6.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021-2025 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tanglet VERSION 1.6.5 LANGUAGES CXX)
+project(tanglet VERSION 1.6.6 LANGUAGES CXX)
 
-set(project_copyright "2009-2024 Graeme Gott")
+set(project_copyright "2009-2025 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -23,25 +23,15 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060800>
 )
 
 # Version number
 include(cmake/AddVersionCompileDefinition.cmake)
 add_version_compile_definition(src/main.cpp VERSIONSTR)
 
-# Create translations
-file(GLOB translations_SRCS translations/*.ts)
-qt6_add_translation(translations_QM ${translations_SRCS})
-
-add_custom_target(update_translations
-	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
-	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-	VERBATIM
-)
-
 # Create program
-qt6_add_executable(tanglet
+qt_add_executable(tanglet
 	src/beveled_rect.cpp
 	src/board.cpp
 	src/clock.cpp
@@ -69,6 +59,14 @@
 	Qt6::Gui
 	Qt6::Widgets
 	ZLIB::ZLIB
+)
+
+# Create translations
+file(GLOB translations_SRCS translations/*.ts)
+qt_add_translations(tanglet
+	TS_FILES ${translations_SRCS}
+	QM_FILES_OUTPUT_VARIABLE translations_QM
+	LUPDATE_OPTIONS -no-obsolete -locations none
 )
 
 # Create word lists

=== debian/changelog ===
tanglet (1.6.6-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * Update lintian override info format in d/tanglet-data.lintian-overrides on line 2-4.
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already present in machine-readable debian/copyright).

  [ Jonathan Carter ]
  * Add bullets to Alexandre's changes
  * New uppstream release
  * Delete generated word lists and dice, allowing rebuilds
    (Closes: #1047129)
  * Update standards version to 4.7.0

 -- Jonathan Carter <jcc@debian.org>  Thu, 09 Jan 2025 13:42:32 +0200

tanglet (1.6.5-2) unstable; urgency=medium

  * Team Upload
  * Maitainer: use new list canonical URL
  * replace transitional pkg-config by new pkgconf
  * remove old ref. to Qt5

  [ Hilmar Preuße ]
  * Remove explicit BD on some libraries (Closes: #1068075)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Apr 2024 10:00:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tanglet
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,13 +10,10 @@
  qt6-l10n-tools,
  qt6-tools-dev-tools,
  qt6-base-dev-tools,
- libqt6widgets6t64,
- libqt6gui6t64,
- libqt6core6t64,
  mesa-common-dev,
  pkgconf,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/tanglet/
 Vcs-Git: https://salsa.debian.org/games-team/tanglet.git

## tanglet 1.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tanglet VERSION 1.6.6 LANGUAGES CXX)
+project(tanglet VERSION 1.6.8 LANGUAGES CXX)
 
 set(project_copyright "2009-2025 Graeme Gott")
 
@@ -32,6 +32,25 @@
 
 # Create program
 qt_add_executable(tanglet
+	# Headers
+	src/beveled_rect.h
+	src/board.h
+	src/clock.h
+	src/generator.h
+	src/gzip.h
+	src/language_dialog.h
+	src/language_settings.h
+	src/letter.h
+	src/locale_dialog.h
+	src/new_game_dialog.h
+	src/scores_dialog.h
+	src/solver.h
+	src/trie.h
+	src/view.h
+	src/window.h
+	src/word_counts.h
+	src/word_tree.h
+	# Sources
 	src/beveled_rect.cpp
 	src/board.cpp
 	src/clock.cpp
@@ -39,8 +58,8 @@
 	src/gzip.cpp
 	src/language_dialog.cpp
 	src/language_settings.cpp
+	src/letter.cpp
 	src/locale_dialog.cpp
-	src/letter.cpp
 	src/new_game_dialog.cpp
 	src/main.cpp
 	src/scores_dialog.cpp
@@ -50,6 +69,7 @@
 	src/window.cpp
 	src/word_counts.cpp
 	src/word_tree.cpp
+	# Resources
 	icons/icons.qrc
 	${translations_QM}
 )
@@ -172,9 +192,9 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/tanglet/translations)
 	install(FILES doc/tanglet.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES icons/tanglet.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
-	install(FILES icons/tanglet.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
-	install(FILES icons/tanglet.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
+
+	include(cmake/TranslateMetainfo.cmake)
+	process_and_install_metainfo(PO_DIR ${CMAKE_SOURCE_DIR}/icons/po MIMETYPES tanglet.xml)
 endif()
 
 set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS TANGLET_DATADIR="${datadir}")

=== tools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Program to generate wordlist
qt_add_executable(wordlist wordlist.cpp)
target_link_libraries(wordlist PRIVATE Qt6::Core ZLIB::ZLIB)

# Program to generate dice
qt_add_executable(dice dice.cpp)
target_link_libraries(dice PRIVATE Qt6::Core ZLIB::ZLIB)

=== debian/changelog ===
tanglet (1.6.8-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2025 13:15:54 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  mesa-common-dev,
  pkgconf,
  zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/tanglet/
 Vcs-Git: https://salsa.debian.org/games-team/tanglet.git

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 	    CPPFLAGS="$(CPPFLAGS)" \
 	    CFLAGS="$(CFLAGS)" \
 	    LDFLAGS="$(LDFLAGS)"
+
+override_dh_clean:
+	dh_clean
+	rm -f gamedata/*/words
+	rm -f gamedata/*/dice

=== debian/watch ===
version=4
https://github.com/gottcode/tanglet/tags .*/v(\d[\d\.]+)\.tar\.gz
